Loading...
Searching...
No Matches
Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension > Class Template Reference
Inheritance diagram for Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >:

## Public Types

typedef RefinementImp< dimension, CoordType > | Refinement
typedef Refinement::CoordVector | CoordVector
typedef Refinement::template Codim< dimension >::Geometry | Geometry
typedef RefinementIteratorSpecial< dimension, CoordType, dimension > | This

## Public Member Functions

Utilities
| RefinementIteratorSpecial (int nIntervals, bool end=false)
void | increment ()
bool | equals (const This &other) const
CoordVector | coords () const
Geometry | geometry () const
int | index () const

## Protected Types

typedef FieldVector< int, dimension > | Vertex

## Protected Attributes

int | size
Vertex | vertex

## Member Typedef Documentation

## CoordVector

template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::CoordVector

## Geometry

template<int dimension, class CoordType>

typedef Refinement::template Codim<dimension>::Geometry Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::Geometry

## Refinement

template<int dimension, class CoordType>

typedef RefinementImp<dimension, CoordType> Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::Refinement

## This

template<int dimension, class CoordType>

typedef RefinementIteratorSpecial<dimension, CoordType, dimension> Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::This

## Vertex

template<int dimension, class CoordType>

typedef FieldVector<int, dimension> Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::Vertex

protected

## Constructor & Destructor Documentation

## RefinementIteratorSpecial()

template<int dimension, class CoordType>

Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::RefinementIteratorSpecial | ( | int | nIntervals,
|  | bool | end = false )

## Member Function Documentation

## coords()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, dimension >::CoordVector Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::coords | ( |  | ) | const

## equals()

template<int dimension, class CoordType>

bool Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::equals | ( | const This & | other | ) | const

## geometry()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, dimension >::Geometry Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::geometry | ( |  | ) | const

## increment()

template<int dimension, class CoordType>

void Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::increment | ( |  | ) |

## index()

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::index | ( |  | ) | const

## Member Data Documentation

## size

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::size

protected

## vertex

template<int dimension, class CoordType>

Vertex Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >::vertex

protected

The documentation for this class was generated from the following file:

- simplex.cc